﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Tilde.ConfigurationService.Models.Database;

#nullable disable

namespace Tilde.ConfigurationService.Migrations
{
    [DbContext(typeof(ServiceDbContext))]
    [Migration("20230927113934_IncreaseApiKeyMaxLength")]
    partial class IncreaseApiKeyMaxLength
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
               .HasAnnotation("ProductVersion", "6.0.10")
               .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Tilde.ConfigurationService.Models.Database.Configuration", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("char(36)");

                b.Property<DateTime?>("CreatedAt")
                    .HasColumnType("datetime(6)");

                b.Property<string>("Name")
                    .IsRequired()
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.Property<string>("SourceLanguage")
                    .IsRequired()
                    .HasMaxLength(2)
                    .HasColumnType("varchar(2)");

                b.HasKey("Id");

                b.ToTable("Configurations");
            });

            modelBuilder.Entity("Tilde.ConfigurationService.Models.Database.Language", b =>
            {
                b.Property<long>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("bigint");

                b.Property<Guid>("ConfigurationId")
                    .HasColumnType("char(36)");

                b.Property<string>("Domain")
                    .IsRequired()
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.Property<string>("TargetLanguage")
                    .IsRequired()
                    .HasMaxLength(2)
                    .HasColumnType("varchar(2)");

                b.HasKey("Id");

                b.HasIndex("ConfigurationId");

                b.ToTable("Languages");
            });

            modelBuilder.Entity("Tilde.ConfigurationService.Models.Database.Provider", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("char(36)");

                b.Property<string>("ApiKey")
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.Property<string>("Name")
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.Property<string>("Password")
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.Property<int>("Type")
                    .HasMaxLength(20)
                    .HasColumnType("int");

                b.Property<string>("Url")
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.Property<string>("Username")
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.HasKey("Id");

                b.ToTable("Providers");
            });

            modelBuilder.Entity("Tilde.ConfigurationService.Models.Database.SiteUrl", b =>
            {
                b.Property<long>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("bigint");

                b.Property<Guid>("ConfigurationId")
                    .HasColumnType("char(36)");

                b.Property<string>("Url")
                    .IsRequired()
                    .HasMaxLength(255)
                    .HasColumnType("varchar(255)");

                b.HasKey("Id");

                b.HasIndex("ConfigurationId");

                b.ToTable("SiteUrls");
            });

            modelBuilder.Entity("Tilde.ConfigurationService.Models.Database.Language", b =>
            {
                b.HasOne("Tilde.ConfigurationService.Models.Database.Configuration", "Configuration")
                    .WithMany("Languages")
                    .HasForeignKey("ConfigurationId")
                    .OnDelete(DeleteBehavior.Cascade)
                    .IsRequired();

                b.Navigation("Configuration");
            });

            modelBuilder.Entity("Tilde.ConfigurationService.Models.Database.SiteUrl", b =>
            {
                b.HasOne("Tilde.ConfigurationService.Models.Database.Configuration", "Configuration")
                    .WithMany("SiteUrls")
                    .HasForeignKey("ConfigurationId")
                    .OnDelete(DeleteBehavior.Cascade)
                    .IsRequired();

                b.Navigation("Configuration");
            });

            modelBuilder.Entity("Tilde.ConfigurationService.Models.Database.Configuration", b =>
            {
                b.Navigation("Languages");

                b.Navigation("SiteUrls");
            });
#pragma warning restore 612, 618
        }
    }
}
